<?php
namespace Teknisa\OPL\Modules\Consolidacao\Controllers;

use Zeedhi\Framework\Report\ReportService;
use Zeedhi\Framework\DTO;

class PreviaCalculoNecessidadeOL extends \Zeedhi\Framework\Controller\Report
{
    protected $entityManager;
    protected $birtStrategy;
    protected $newCode;
    protected $environment;
    protected $connection;
    protected $dataSourceManager;
    protected $stNomeRel;

    public function __construct($reportService, $entityManager, $birtStrategy,$newCode, $environment, $connection, $dataSourceManager)
    {
        $this->entityManager     = $entityManager;
        $this->birtStrategy      = $birtStrategy;
        $this->reportService     = $reportService;
        $this->newCode           = $newCode;
        $this->environment       = $environment;
        $this->connection        = $connection;
        $this->dataSourceManager = $dataSourceManager;
    }
	
    public function beforeProcessReport(DTO\Request\Row $request, DTO\Response $response)
    {
        $row = $request->getRow();
        
        $this->birtStrategy->setReportFormat($row['QR2TYPE']);
        $this->stNomeRel = $this->getReportName($row);
        $this->reportMapping[$this->stNomeRel] =
            array (
                'strategy' => $row['STRATEGY'],
                'parameterMapping' =>
                    array (
                        "NRNECECOMP"    => "P_NRNECECOMP",
                        "CDFILIAL"      => "P_CDFILIAL",
                        "DATAINI"       => "P_DATAINI",
                        "DATAFIN"       => "P_DATAFIN",
                        "FILIPROC"      => "P_FILIPROC"
                    )
            );
    }
}
    